{
    "doc": "An experimental preparation of a `Sample`.",
    "fields": [
        {
            "doc": "The experiment UUID. This is globally unique.",
            "name": "id",
            "type": "string"
        },
        {
            "default": null,
            "doc": "The name of the experiment.",
            "name": "name",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": null,
            "doc": "A description of the experiment.",
            "name": "description",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "The time at which this record was created. \n  Format: ISO 8601, YYYY-MM-DDTHH:MM:SS.SSS (e.g. 2015-02-10T00:03:42.123Z)",
            "name": "recordCreateTime",
            "type": "string"
        },
        {
            "doc": "The time at which this record was last updated.\n  Format: ISO 8601, YYYY-MM-DDTHH:MM:SS.SSS (e.g. 2015-02-10T00:03:42.123Z)",
            "name": "recordUpdateTime",
            "type": "string"
        },
        {
            "default": null,
            "doc": "The time at which this experiment was performed.\n  Granularity here is variabel (e.g. date only).\n  Format: ISO 8601, YYYY-MM-DDTHH:MM:SS (e.g. 2015-02-10T00:03:42)",
            "name": "runTime",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": null,
            "doc": "The molecule examined in this experiment. (e.g. genomics DNA, total RNA)",
            "name": "molecule",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": null,
            "doc": "The experiment technique or strategy applied to the sample.\n  (e.g. whole genome sequencing, RNA-seq, RIP-seq)",
            "name": "strategy",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": null,
            "doc": "The method used to enrich the target. (e.g. immunoprecipitation, size\n  fractionation, MNase digestion)",
            "name": "selection",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": null,
            "doc": "The name of the library used as part of this experiment.",
            "name": "library",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": null,
            "doc": "The configuration of sequenced reads. (e.g. Single or Paired)",
            "name": "libraryLayout",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "The instrument model used as part of this experiment.\n    This maps to sequencing technology in BAM.",
            "name": "instrumentModel",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": null,
            "doc": "The data file generated by the instrument.\n  TODO: This isn't actually a file is it?\n  Should this be `instrumentData` instead?",
            "name": "instrumentDataFile",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "The sequencing center used as part of this experiment.",
            "name": "sequencingCenter",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": null,
            "doc": "The platform unit used as part of this experiment. This is a flowcell-barcode\n  or slide unique identifier.",
            "name": "platformUnit",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": {},
            "doc": "A map of additional experiment information.",
            "name": "info",
            "type": {
                "type": "map",
                "values": {
                    "items": "string",
                    "type": "array"
                }
            }
        }
    ],
    "name": "Experiment",
    "namespace": "org.ga4gh.models",
    "type": "record"
}